{
  "name": "@cern/rtsp-decode",
  "version": "1.0.0",
  "description": "Decoder for RTSP protocol",
  "main": "src/index.js",
  "homepage": "https://gitlab.cern.ch/mro/common/www/rtsp-decode",
  "scripts": {
    "test": "mocha test",
    "test:coverage": "nyc -n src -a -r lcov -r text -r cobertura -- mocha test --reporter xunit --reporter-option output=tests.xml",
    "test:ci": "run-s test:coverage",
    "test:watch": "run-s 'watch -- run-s test'",
    "lint": "lint",
    "lint:watch": "run-s 'watch -- run-s lint'",
    "lint:ci:builder": "run-s 'lint -- --builder'",
    "lint:ci:report": "mkci-lint-report",
    "tc": "tc",
    "tc:ci:builder": "run-s 'tc -- --builder'",
    "tc:ci:report": "mkci-tc-report",
    "watch": "nodemon -w src -w test -x "
  },
  "keywords": [
    "RTSP",
    "RTP",
    "H.264"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.cern.ch/mro/common/www/rtsp-decode.git"
  },
  "author": "Sylvain Fargier <sylvain.fargier@cern.ch>",
  "license": "Apache-2.0",
  "devDependencies": {
    "@cern/ci-utils": "^1.0.0",
    "@cern/prom": "^1.0.0",
    "@tsconfig/node12": "^1.0.9",
    "@types/chai": "^4.3.0",
    "@types/lodash": "^4.14.178",
    "@typescript-eslint/eslint-plugin": "^5.10.1",
    "@typescript-eslint/parser": "^5.10.1",
    "chai": "^4.3.6",
    "dirty-chai": "^2.0.1",
    "eslint": "^7.32.0",
    "jshint": "^2.13.4",
    "mocha": "^9.2.0",
    "npm-run-all": "^4.1.5",
    "nyc": "^15.1.0",
    "sinon": "^14.0.0",
    "typescript": "^4.5.5",
    "ws": "^8.4.2"
  },
  "dependencies": {
    "debug": "^4.3.4",
    "http-headers": "^3.0.2",
    "lodash": "^4.17.21",
    "long": "^5.2.1"
  }
}
